Highlighted

ColdFusion9 Installer Won't Start

New Here ,
Jun 24, 2019

Copy link to clipboard

Copied

I am trying to install ColdFusion 9 on Windows Server 2016 (x64) this is a development server.  I read that I needed to run in compatibility mode (Windows 7) for the x64 install so I did that; the installer initialized and it opened but them immediately closed.   

Has anyone else had this issue?  Any recommendations would be greatly appreciated.

Views

325

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

ColdFusion9 Installer Won't Start

New Here ,
Jun 24, 2019

Copy link to clipboard

Copied

I am trying to install ColdFusion 9 on Windows Server 2016 (x64) this is a development server.  I read that I needed to run in compatibility mode (Windows 7) for the x64 install so I did that; the installer initialized and it opened but them immediately closed.   

Has anyone else had this issue?  Any recommendations would be greatly appreciated.

Views

326

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Jun 24, 2019 0
Adobe Community Professional ,
Jun 27, 2019

Copy link to clipboard

Copied

I would try to run this in a VM. ColdFusion 9 is so old, who knows what it's looking for that you don't have in Windows Server 2016?

That said, you could try running the installer from the command prompt instead of running it as a GUI. Make sure your command prompt is running as admin before you try. Don't try to connect it to IIS, because I doubt that would work.

Dave Watts, Eidolon LLC

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 27, 2019 0
Participant ,
Jun 27, 2019

Copy link to clipboard

Copied

Do you have to use the installer? There's a third party tool Commandbox. That allows to install older ColdFusion versions from 9 and later.

https://commandbox.ortusbooks.com/setup/installation

What do you want do do with that old version?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 27, 2019 0
New Here ,
Jun 27, 2019

Copy link to clipboard

Copied

I inherited a legacy system that has been growing for the last 19 years and everything is coded in CF9.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 27, 2019 0
Adobe Community Professional ,
Jun 27, 2019

Copy link to clipboard

Copied

CF 9 is no longer supported or patched by Adobe. I would recommend you move to a supported version if at all possible. The vast majority of your code will still work, and it should be easy enough to fix any code that doesn't work.

Dave Watts, Eidolon LLC

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 27, 2019 0
Bardnet LATEST
Participant ,
Jun 27, 2019

Copy link to clipboard

Copied

Do you want to continue running you app under CF9? As Dave did, I would also recommend to use a recent version. If you just during development want to look at you app using CF9, I would recommend CommandBox.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 27, 2019 0